Game Warden Forums

Hosted => Nukemod-Children of Shiva => Topic started by: Nuke on September 26, 2005, 08:34:39 AM

Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on September 26, 2005, 08:34:39 AM
ok, now that 3.6.7 has come out im gonna start optimising nukemode for this scp release.  most of the features i wanted work withing this build  and features that do not will be removed untill a new offitial scp build comes out to support them. so please play the mod prerelease under this build and report anything out of the ordinary. focus primarily on ship model stability and make sure things render properly, ect. i will pic through the replys for this thread and paste bugs here for future reference to me and axem.

Known Bugs:
-goober style gatling guns no longer function
-GTF Pheonix crashes the game when on screen for an extended amount of time.
-Anyone calling a support ship causes a crash if you're a pirate.
-AI controlled PF Hellbat won't fire its gattling guns.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on September 26, 2005, 11:09:26 AM
GTF Pheonix crashes the game when on screen for an extended amount of time.
Anyone calling a support ship causes a crash if you're a pirate.
AI controlled PF Hellbat won't fire its gattling guns.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on September 26, 2005, 02:43:51 PM
i dont think that 3rd one is fixable, might be an scp thing. however the new galing gun system isnt in the prerelease. once it is, it could fix that. ive completed maybe 15% of the ship recompiles nessicary for the conversion. it seems everythime i go recompile a model i end up makeing a hi-poly version of it. :D

the gtf phoenix was a quick recompile, i kinda sorta cut a few corners increasing the poly density of the curvy wings. and cut even more corners adding the guns. the guns there arent even part of the main moodel they are just kinda submodels, this would have been a big no-no back when i started modding, but i thought the htl engine could handel it. i guess i was wrong. so now i gotta figure that one out.

support ship crash is either a bug with ballistic weapons, or a missing dockpoint. i remember adding dockpoints to all pirate ships, but not sure if i did before i released the beta.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on September 26, 2005, 04:53:04 PM
My hypothesis is that since the Pirates are their own species now, they do not have their own species specific support ship. Maybe if you just copy the Hygiea and have that one become a pirate support ship.

I haven't tested that out at all, so I have no idea if that will work or not.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on September 27, 2005, 09:57:54 PM
havent thought about that, making the pirates their own spiecies seems to have been more trouble than its worth. its like when i tryed to make everything with modular tables. it might be a removed feature, i believe that i can still use the new engine glows on a per ship basis. if a feature of the scp doesnt work fully in the current offitial build, it will be removed from the mod on a temproary (untill it works fully in an offitial build) basis. but in the case of the support ship problem i might varient or an existing ship, like i did with the hellbat (considering the minimal effort i put into that ship), reskin and perhaps some gemetry tweaks of one of the other support ships. none the less il make sure the nect release has a pirate support ship. i was always under the impression that you could be rearmed by any friendly support ship in system. i remember flying an ares in one of the last missions of the game and getting a rearm from a vasudan supply ship. none the less il look into that bug some more.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Goober5000 on October 02, 2005, 07:28:07 PM
Quote from: Nuke
-goober style gatling guns no longer function
Eh?

As for the support ship bug, you're right.  I did some work on that right after 3.6.7 came out, so it shouldn't crash now.

Alternatively, you could use the set-support-ship sexp, which is in 3.6.7, on every mission.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on October 02, 2005, 10:13:03 PM
thanks goober
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on November 27, 2005, 09:49:39 PM
Code: [Select]
Error: Can't open model file <n>
File:\fs2_open\code\model\modelread.cpp
Line: 1712
[This filename points to the location of a file on the computer that built this executable]

Call stack:
------------------------------------------------------------------
------------------------------------------------------------------

?

Also, I found a bit of other bugs in the tables (yay debug buids) that I fixed in my own set. I'll upload them when I get finish squashing them.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on November 28, 2005, 01:02:27 AM
my tables are a mess, part of the reason i havent uploaded an upgrade yet.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on November 28, 2005, 04:02:52 AM
Yeah they're not pretty, but I managed to get them to pass FRED2's debugger. But that first error keeps popping up...

:sigh: So close to getting ARX 27 done...
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on November 28, 2005, 04:36:19 AM
im gonna upload some of the new models, there still in the test phase and they dont hve complete pof data, but they work ingame and are fairly stable. im also gonna put up some of the vwep models and new weapons to go with them.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on November 28, 2005, 06:04:25 AM
heres the model updates, new models and textures as well as an updated hellbat and phoenix that use the new gun system. the tables are all just temps, im gonna redo everything in the tables once the models are done, with a balence curve in mind.

http://www.game-warden.com/nukemod-cos/Updates/newstuff.zip
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on November 28, 2005, 11:14:23 PM
Stupid FreeSpace! Still the same error. :mad:

I guess I'll start temporarily changing ship classes until I find the offending one.

Also as a note for way way later, make sure you include 2048 maps of the Valhalla and Ragnarok for us unlucky ATI card owners. :biggrin1:
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on November 28, 2005, 11:46:04 PM
il put the really big textures in a seprate vp. you think its slow now, wait till i make its shine map :D
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on November 28, 2005, 11:55:56 PM
It's not that its slow, but the fact that ATI cards have a max texture size of 2048. I thought there was something wrong with the texture until I actually looked at the file itself.

Though I have to say I'm in awe of all the stuff you crammed in there. ;)
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on November 29, 2005, 05:16:13 AM
yea, notice the space i saved for tha carrier varient :D
you can do an entire battle group of the different varients and it will only need to load one texture. i also find that the higher resolution you plan to work with, the closer you can get sections crammed in without intersecting them.

i spewnt 3 weeks on that texture, it better be good or i suck.
Title: 3.6.7 compatability (report mod bugs here)
Post by: Axem on December 22, 2005, 04:20:59 PM
Errors with show weapons show up in the new CVS builds. They changed the tbl entries, how to fix is in this Mantis report.

http://lore.maxgaming.net/~scp/mantis/bug_view_page.php?bug_id=0000650
Title: 3.6.7 compatability (report mod bugs here)
Post by: Nuke on December 24, 2005, 08:39:21 AM
i finnally nailed that cant find model bug. it was the damn particle cannon. i assumed it had something to do with the 3d icons so i gave it an interface model. now it seems to be working normally. i also recompiled the satyr for a texture merge and to fix a bug i found.